{
  description = "Nixos config flake";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    ags.url = "github:Aylur/ags";

    nvf.url = "github:notashelf/nvf";

    zen-browser.url = "github:0xc000022070/zen-browser-flake";

    spicetify-nix.url = "github:Gerg-L/spicetify-nix";

    zed.url = "github:zed-industries/zed";

    catppuccin.url = "github:catppuccin/nix";
  };

  outputs = { self, nixpkgs, nvf, zen-browser, spicetify-nix, zed, catppuccin, ... }@inputs:
  let system = "x86_64-linux"; in
  {
    nixosConfigurations.nixos = nixpkgs.lib.nixosSystem {
      inherit system;
      specialArgs = {
        inherit inputs;
      };
      modules = [
        ./configuration.nix
        # inputs.zen-browser.packages."${system}".default
#        nvf.homeManagerModules.default
        # inputs.zed.packages."${system}".default
        catppuccin.nixosModules.catppuccin
        inputs.home-manager.nixosModules.default
      ];
    };
  };
}
